/*******************************************************************************
 * LevelGridVolume generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class LevelGridVolume extends Volume
    native
    placeable
    hidecategories(Navigation,Object,Movement,Display,Advanced,Attachment,Collision,Volume,Physics,Location)
    autoexpandcategories(LevelGridVolume);

enum LevelGridCellShape
{
    LGCS_Box,
    LGCS_Hex,
    LGCS_MAX
};

struct native LevelGridCellCoordinate
{
    var int X;
    var int Y;
    var int Z;

    structdefaultproperties
    {
        X=0
        Y=0
        Z=0
    }
};

var() const string LevelGridVolumeName;
var() const LevelGridVolume.LevelGridCellShape CellShape;
var() const int Subdivisions[3];
var() const float LoadingDistance;
var() const float KeepLoadedRange;
var const transient KConvexElem CellConvexElem;

defaultproperties
{
    Subdivisions[0]=1
    Subdivisions[1]=1
    Subdivisions[2]=1
    LoadingDistance=20480.0
    KeepLoadedRange=2048.0
    BrushColor=(R=80,G=80,B=80,A=255)
    bColored=true
    begin object name=BrushComponent0 class=BrushComponent
        ReplacementPrimitive=none
        CollideActors=false
        BlockNonZeroExtent=false
    object end
    // Reference: BrushComponent'Default__LevelGridVolume.BrushComponent0'
    BrushComponent=BrushComponent0
    begin object name=BrushComponent0 class=BrushComponent
        ReplacementPrimitive=none
        CollideActors=false
        BlockNonZeroExtent=false
    object end
    // Reference: BrushComponent'Default__LevelGridVolume.BrushComponent0'
    Components(0)=BrushComponent0
    Components(1)=none
    bCollideActors=false
    begin object name=BrushComponent0 class=BrushComponent
        ReplacementPrimitive=none
        CollideActors=false
        BlockNonZeroExtent=false
    object end
    // Reference: BrushComponent'Default__LevelGridVolume.BrushComponent0'
    CollisionComponent=BrushComponent0
    SupportedEvents=none
}